PBB

Inquiry

API to inquiry PBB.

Path

MethodPath
POSTapi/v1/bill/check

Test Case

CodeNumberResponse
PBBKOT.CIMAHI329801092375990000Success
PBBKOT.CIMAHI329801092375990001Inquiry - Invoice Has Been Paid
PBBKOT.CIMAHI329801092375990014Inquiry - Incorrect Destination Number
PBBKOT.CIMAHI329801092375990103Inquiry - Time Out
PBBKOT.CIMAHI329801092375991037Payment - Payment Failed
PBBKOT.CIMAHI329801092375991039Payment - Pending / transaction in process
PBBKOT.CIMAHI329801092375991105Payment - MISC Error / Biller System Error
PBBKOT.CIMAHI32980109237599XXXXTest other response scenarios in the test case menu.

Request Body

AttributesTypeDescriptionMandatory
commandsStringValue: inq-pascaYes
usernameStringYour registered phone numberYes
codeStringProduct Code. You can get list of product code in pricelist api or from pricelist hereYes
hpStringTax object numberYes
ref_idStringYour order number / reference ID ( must unique )Yes
signStringSignature. Value: md5(username+api_key+ref_id)Yes
yearStringNumber of year you're willing to payYes
{
  "commands" : "inq-pasca",
  "username" : "123123123",
  "code"     : "PBBKOT.CIMAHI",
  "hp"       : "329801092375990000",
  "ref_id"   : "978994691278",
  "sign"     : "6c6a046a14c444e44cfab5e4bbb01b01",
  "year"     : "2023"
}

Response

Loading...
{
  "data": {},
  "meta": []
}

Live Testing

Request URL
https://testpostpaid.mobilepulsa.net/api/v1/bill/check
Request Method
Request Header
Content-Type: application/json
Body
Result

Tutorial Video

You can see this video for inquiry code explanation using Laravel.

Video thumbnail

Or you can see this video for inquiry code explanation using PHP.

Video thumbnail